/*
 * Adapté de :  http://frenki.net/2012/10/remote-logging-with-arduino-and-node-js/
 */

#include <SPI.h>
#include <ESP8266WiFi.h> // changement pour pointer à la bonne librairie et pas la lib wifi du arduino
#include <WiFiUdp.h>

const char* ssid = "monPointdAcces";  // nom de votre point d'accès
const char* password = "monMotdePasse"; // mot de passe

unsigned int arduinoPort = 8888;      // port of Arduino

IPAddress ordiIP(192, 168, 1, 86); // IP de l'ordinateur sur lequel le serveur node fonctionne
unsigned int receiverPort = 6000;      // Port du serveur node

WiFiUDP Udp;

int sensorPin = A0; // la broche du capteur
int sensorValue;

void setup() {
  
  Serial.begin(115200);
  WiFi.begin(ssid, password);
  Udp.begin(arduinoPort);
}

void loop() {

   if (WiFi.status() != WL_CONNECTED) {

    while (WiFi.status() != WL_CONNECTED) {
      delay(500);
    }
  
    printWiFiStatus();  // Affiche la nouvelle adresse IP
  }

  sensorValue = random(1023); // simulation d'une lecture du senseur analogique
  byte valueInBytes[2] = {lowByte(sensorValue), highByte(sensorValue)}; //conversion à un tableau de bytes (pour le UDP)
  
  Udp.beginPacket(ordiIP, receiverPort); // début du udp packet
  Udp.write(valueInBytes, 2); // écriture des données 
  Udp.endPacket(); // fin du packet

  delay(50);
  Serial.print("envoi : ");
  Serial.println(sensorValue);
}

void printWiFiStatus() {

  Serial.println("");
  Serial.print("Connecté à: ");
  Serial.println(ssid);
  Serial.print("IP address: ");
  Serial.println(WiFi.localIP());
}

